using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate425 : MulticastDelegate
{
	public extern AsyncTaskMethodBuilder Invoke();

	public static AsyncTaskMethodBuilder smethod_0(Delegate425 delegate425_1)
	{
		return delegate425_1();
	}

	public extern Delegate425(object object_0, IntPtr intptr_0);

	static Delegate425()
	{
		Class10.smethod_13(typeof(Delegate425).TypeHandle);
	}

	internal static Delegate425 delegate425_0;
}
